Package org.eclipse.net4j.util.om.monitor

## Class SubProgressMonitor

- java.lang.Object
- - org.eclipse.core.runtime.ProgressMonitorWrapper
  - - org.eclipse.core.runtime.SubProgressMonitor
    - - org.eclipse.net4j.util.om.monitor.SubProgressMonitor

- All Implemented Interfaces:
    `IProgressMonitor`, `IProgressMonitorWithBlocking`
  Direct Known Subclasses:
    `EclipseMonitor.SynchronizedSubProgressMonitor`

      public class SubProgressMonitor
      extends SubProgressMonitor

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.core.runtime.SubProgressMonitor

      `PREPEND_MAIN_LABEL_TO_SUBTASK, SUPPRESS_SUBTASK_LABEL`

    - ### Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubProgressMonitor​(IProgressMonitor monitor, int ticks)` |
    `SubProgressMonitor​(IProgressMonitor monitor, int ticks, int style)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginTask​(java.lang.String name, int totalWork)` |
    `void` | `done()` |
    `void` | `internalWorked​(double work)` |
    `void` | `subTask​(java.lang.String name)` |
    `void` | `worked​(int work)` |

    - ### Methods inherited from class org.eclipse.core.runtime.ProgressMonitorWrapper

      `clearBlocked, getWrappedProgressMonitor, isCanceled, setBlocked, setCanceled, setTaskName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.core.runtime.IProgressMonitor

      `slice`

- - ### Constructor Detail

    - #### SubProgressMonitor

          public SubProgressMonitor​(IProgressMonitor monitor,
                                    int ticks,
                                    int style)

    - #### SubProgressMonitor

          public SubProgressMonitor​(IProgressMonitor monitor,
                                    int ticks)

  - ### Method Detail

    - #### beginTask

          public void beginTask​(java.lang.String name,
                                int totalWork)

      Specified by:
        `beginTask` in interface `IProgressMonitor`
      Overrides:
        `beginTask` in class `SubProgressMonitor`

    - #### done

          public void done()

      Specified by:
        `done` in interface `IProgressMonitor`
      Overrides:
        `done` in class `SubProgressMonitor`

    - #### internalWorked

          public void internalWorked​(double work)

      Specified by:
        `internalWorked` in interface `IProgressMonitor`
      Overrides:
        `internalWorked` in class `SubProgressMonitor`

    - #### subTask

          public void subTask​(java.lang.String name)

      Specified by:
        `subTask` in interface `IProgressMonitor`
      Overrides:
        `subTask` in class `SubProgressMonitor`

    - #### worked

          public void worked​(int work)

      Specified by:
        `worked` in interface `IProgressMonitor`
      Overrides:
        `worked` in class `SubProgressMonitor`